Bug 803646

Summary: Password is visible on gnome-terminal with ibus enabled
Product: [Fedora] Fedora Reporter: Ani Peter <apeter>
Component: ibusAssignee: fujiwara <tfujiwar>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 23CC: birger, fropeter, i18n-bugs, mfabian, petersen, shawn.p.huang, tfujiwar
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Password being displayed on terminal none

Description Ani Peter 2012-03-15 06:51:49 EDT
Created attachment 570253 [details]
Password being displayed on terminal

Description of problem:
With English-typing-booster enabled on gnome-terminal, while using su- command, password appears in the text.


Version-Release number of selected component (if applicable):
english-typing-booster-0.0.2-1.fc17

How reproducible:
Always

Steps to Reproduce:
1. Enable English-typing-booster
2. Go to terminal
3. Try to become root with su-
4. Type your password
  
Actual results:
Perform above steps, you can see the password is shown on the screen.

Expected results:
Password must not be shown.

Additional info:
Comment 1 Niels de Vos 2012-03-16 06:40:46 EDT
english-typing-booster should probably check the flags of the tty.

For example:

1) write something on the terminal
$ echo hello world

2) disable echo'ing
$ stty -echo

3) write something again
$ echo hello world

4) enable echo'ing
$ stty echo

5) write something again
$ echo hello world

My terminal shows (including input):
[ndevos@ndevos-laptop ~]$ echo hello world
hello world
[ndevos@ndevos-laptop ~]$ stty -echo
[ndevos@ndevos-laptop ~]$ hello world
[ndevos@ndevos-laptop ~]$ [ndevos@ndevos-laptop ~]$ echo hello world
hello world
[ndevos@ndevos-laptop ~]$ 

I am not sure if gnome-terminal offers a way to check the flags in a terminal, but you will probably want to have this functionality for any terminal emulator.
Comment 2 birger 2013-05-24 04:59:46 EDT
Same in Fedora 19. I just created a new user, and this 'feature' is on by default. It shows the passwords in cleartext while typing not only in termnal windows, but also in the gnome screen lock, the pop-up that asks for admin password, etc. A major security problem. I think severity should at least 'high' for this one!
Comment 3 Fedora End Of Life 2013-07-03 15:43:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Mike FABIAN 2013-07-11 03:01:52 EDT
That is not really specific to ibus-typing-booster.

The preëdit of *any* input method is visible when typing passwords
in terminals after something like “su -”.
Comment 5 Fedora End Of Life 2015-01-09 12:04:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jan Kurik 2015-07-15 11:10:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23